## org.codehaus.groovy.grails.web.plugins.support
Class WebMetaUtils

    java.lang.Object
      org.codehaus.groovy.grails.web.plugins.support.WebMetaUtils

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class WebMetaUtils

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`WebMetaUtils()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`static Object` `registerCommonWebProperties(groovy.lang.MetaClass mc, GrailsApplication application)`
`static Object` `registerMethodMissingForTags(groovy.lang.MetaClass mc, ApplicationContext ctx, GrailsTagLibClass tagLibraryClass, String name)`
`static Object` `registerMethodMissingForTags(groovy.lang.MetaClass mc, TagLibraryLookup gspTagLibraryLookup, String namespace, String name)`
`static Object` `registerStreamCharBufferMetaClass()`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebMetaUtils

    public WebMetaUtils()

Method Detail

### registerCommonWebProperties

    public static Object registerCommonWebProperties(groovy.lang.MetaClass mc,
                                                     GrailsApplication application)

### registerMethodMissingForTags

    public static Object registerMethodMissingForTags(groovy.lang.MetaClass mc,
                                                      TagLibraryLookup gspTagLibraryLookup,
                                                      String namespace,
                                                      String name)

### registerMethodMissingForTags

    public static Object registerMethodMissingForTags(groovy.lang.MetaClass mc,
                                                      ApplicationContext ctx,
                                                      GrailsTagLibClass tagLibraryClass,
                                                      String name)

### registerStreamCharBufferMetaClass

    public static Object registerStreamCharBufferMetaClass()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project